diff --git a/lib/tpm2_identity_util.c b/lib/tpm2_identity_util.c
index a3b0e387..9519ca7b 100644
--- a/lib/tpm2_identity_util.c
+++ b/lib/tpm2_identity_util.c
@@ -17,7 +17,7 @@
 
 // Identity-related functionality that the TPM normally does, but using OpenSSL
 
-#if defined(LIBRESSL_VERSION_NUMBER)
+#if 0
 static int RSA_padding_add_PKCS1_OAEP_mgf1(unsigned char *to, int tlen,
         const unsigned char *from, int flen, const unsigned char *param, int plen,
         const EVP_MD *md, const EVP_MD *mgf1md) {
diff --git a/lib/tpm2_openssl.c b/lib/tpm2_openssl.c
index e769d6df..54f124c9 100644
--- a/lib/tpm2_openssl.c
+++ b/lib/tpm2_openssl.c
@@ -15,7 +15,7 @@
 #include "tpm2_systemdeps.h"
 
 /* compatibility function for OpenSSL versions < 1.1.0 */
-#if OPENSSL_VERSION_NUMBER < 0x10100000L
+#if OPENSSL_VERSION_NUMBER < 0x10100000L || defined(LIBRESSL_VERSION_NUMBER)
 static int BN_bn2binpad(const BIGNUM *a, unsigned char *to, int tolen) {
     int r;
     int topad;
diff --git a/lib/tpm2_openssl.h b/lib/tpm2_openssl.h
index 46c8f9c0..71206309 100644
--- a/lib/tpm2_openssl.h
+++ b/lib/tpm2_openssl.h
@@ -17,7 +17,7 @@
 #define LIB_TPM2_OPENSSL_OPENSSL_PRE11
 #endif
 
-#if OPENSSL_VERSION_NUMBER >= 0x10101000L
+#if (OPENSSL_VERSION_NUMBER >= 0x10101000L) && !defined(LIBRESSL_VERSION_NUMBER)
 #define EC_POINT_set_affine_coordinates_tss(group, tpm_pub_key, bn_x, bn_y, dmy) \
         EC_POINT_set_affine_coordinates(group, tpm_pub_key, bn_x, bn_y, dmy)
 
